package cn.com.ctop.kuaishou.modules.report.mapper;


import cn.com.ctop.kuaishou.modules.report.entity.EtlKuaishouReportAccountHourly;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 账户维度-每小时盯盘数据
 *
 * @author: jeecg-boot
 * @date: 2021-03-04
 * @cersion: V1.0
 */
public interface EtlKuaishouReportAccountHourlyMapper extends BaseMapper<EtlKuaishouReportAccountHourly> {

    void replaceBatch(@Param("list") List<EtlKuaishouReportAccountHourly> list);

    EtlKuaishouReportAccountHourly getOnedayAggregateByHour(@Param("startTime") String startTime, @Param("accountId") Long accountId);

    List<JSONObject> getOnedayEtlReportList(@Param("startTime") String startTime, @Param("accountId") Long accountId, @Param("value") String value, @Param("type") String type);

    String getNewlyUpdateTime();

    List<JSONObject> accountPageList(JSONObject request);

    int accountPageListTotal(JSONObject request);

    List<JSONObject> queryEveryHourlyCharge(JSONObject request);

    List<JSONObject> operatingStaffDataList(JSONObject request);

    Integer operatingStaffDataListTotal(JSONObject request);

    List<JSONObject> projectPageList(JSONObject request);

    int projectPageListTotal(JSONObject request);

    List<JSONObject> leaderAccountPageList(JSONObject request);

    int leaderAccountPageListTotal(JSONObject request);
}
